echo ***** INITeX *****, format: %1, tcp: %TCP%, texver: %TEXVER%

rem inicializace noveho formatu:
rem %1 je nazev ciloveho formatu (napr. csplain, cslatex)
rem TCP  musi byt nastaveno na kodovaci tabulku.
rem OPT  obsahuje specificka OPTIONS
rem TEXINPUT obsahuje hledaci cesty specificke pro format
rem TEXVER obsahuje nazev programu TeX (napr. tex386)
rem TEXSIZE obsahuje velikost programu TeX (napr. b h nebo nic)

rem nastaveni parametru zavislych na formatu:
call %1

rem test pritomnosti zdrojovych souboru:
set MARK=rem

if %FMT%==csPLAIN set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\csplain\csplain.ini goto sorry
set MARK=rem

if %FMT%==csLATEX set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\latex2e\cslatex\cslatex.ini  goto sorry
set MARK=rem

if %FMT%==csLT209 set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\latex209\cslt209\cslt209.ini goto sorry
%MARK% copy %EMTEXDIR%\texinput\latex209\cslt209\lfontscs.tex lfonts.tex
set MARK=rem

if %FMT%==csAMSTEX set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\amstex\csamstex.ini goto sorry
set MARK=rem

if %FMT%==csAMSLAT set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\latex209\amslatex\csamslat.ini goto sorry
%MARK% copy %EMTEXDIR%\texinput\latex209\amslatex\lfonts.new   lfonts.tex
%MARK% copy %EMTEXDIR%\texinput\latex209\amslatex\fontdef.cs   fontdef.tex
%MARK% copy %EMTEXDIR%\texinput\latex209\amslatex\preload.med  preload.tex
%MARK% copy %EMTEXDIR%\texinput\latex209\amslatex\basefont.tex xxxlfont.sty
set MARK=rem

if %FMT%==csLAMST set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\lamstex\cslamst.ini goto sorry
set MARK=rem

if %FMT%==csSLITEX set MARK=
%MARK% if not exist %EMTEXDIR%\texinput\latex209\cslt209\csslitex.ini goto sorry
%MARK% copy %EMTEXDIR%\texinput\latex209\cslt209\sfontscs.tex sfonts.tex

%EMTEXDIR%\bin\%TEXVER% /i/c%TCP% %OPT% %FMT%.ini
echo tcp: %TCP%, texinput: %TEXINPUT%, opt: %OPT% >> %FMT%.log
if errorlevel 1 echo Nejaka zavada pri inicializaci formatu.

if %FMT%==csLT209  del lfonts.tex
if %FMT%==csSLITEX del sfonts.tex
if %FMT%==csAMSLAT del lfonts.tex
if %FMT%==csAMSLAT del fontdef.tex
if %FMT%==csAMSLAT del preload.tex
if %FMT%==csAMSLAT del xxxlfont.sty
goto end

:sorry
echo Neexistuji vstupni soubory pro inicializaci formatu %FMT% .
echo Je potreba nejprve instalovat vstupy pro format z instalacnich .ZIPu.

:end

